---
layout: default
---
{% if site.paginate %}
{% assign posts = paginator.posts %}
{% else %}
{% assign posts = site.posts %}
{% endif %}

<div class="container">
    <div class="full-height">
        {%- if posts.size > 0 -%}
        {%- assign date_format = "%b %-d, %Y" -%}
        {%- for post in posts -%}

        <div class="transparent-bg">
            <article class="post" itemscope itemtype="http://schema.org/BlogPosting">
                <header class="post-header">
                    <h2 class="post-title" itemprop="name headline"><a href="{{ post.url | relative_url }}">{{ post.title | escape }}</a></h2>
                </header>
                <div class="post-content" itemprop="articleBody">
                    {{ post.content }}
                </div>
            </article>
        </div>
        {%- endfor -%}

        {% if site.paginate %}
        <div class="pager">
            <ul class="pagination">
                {%- if paginator.previous_page %}
                <li><a href="{{ paginator.previous_page_path | relative_url }}" class="previous-page">{{ paginator.previous_page }}</a></li>
                {%- else %}
                <li><div class="pager-edge">•</div></li>
                {%- endif %}
                <li><div class="current-page">{{ paginator.page }}</div></li>
                {%- if paginator.next_page %}
                <li><a href="{{ paginator.next_page_path | relative_url }}" class="next-page">{{ paginator.next_page }}</a></li>
                {%- else %}
                <li><div class="pager-edge">•</div></li>
                {%- endif %}
            </ul>
        </div>
        {%- endif %}

        {%- endif -%}
    </div>
</div>
